> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enad.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer group by slug

> Get a customer group by app_id and slug



## OpenAPI

````yaml /swagger/auth-api.json get /api/v1/{app_id}/customer-groups/{customer_group_slug}
openapi: 3.0.0
info:
  contact:
    email: support@enad.io
    name: API support
    url: http://enad.io/support
  description: This is the documentation for Auth API v1
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://enad.io/terms/
  title: Public API
  version: '1.0'
servers:
  - url: //customers.enad.io
security: []
paths:
  /api/v1/{app_id}/customer-groups/{customer_group_slug}:
    get:
      tags:
        - Customer Groups
      summary: Get customer group by slug
      description: Get a customer group by app_id and slug
      parameters:
        - description: UUID of the app
          in: path
          name: app_id
          required: true
          schema:
            type: string
        - description: Customer group slug
          in: path
          name: customer_group_slug
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_models.CustomerGroup
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError
components:
  schemas:
    github_com_enadhq_koopa-key_internal_pkg_server_models.CustomerGroup:
      properties:
        app_id:
          type: string
        created_at:
          type: string
        discount_percentage:
          type: integer
        discount_percentage_decimals:
          type: integer
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        store_group_id:
          type: string
        updated_at:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.HttpError:
      properties:
        code:
          $ref: >-
            #/components/schemas/github_com_enadhq_koopa-key_internal_pkg_server_web.Status
        details:
          items:
            type: string
          type: array
        extra_fields:
          additionalProperties:
            type: string
          type: object
        message:
          type: string
      type: object
    github_com_enadhq_koopa-key_internal_pkg_server_web.Status:
      enum:
        - 201
        - 403
        - 401
        - 500
        - 404
        - 400
        - 409
      type: integer
      x-enum-varnames:
        - StatusCreated
        - StatusForbidden
        - StatusNotAuthorized
        - StatusInternalError
        - StatusNotFound
        - StatusBadRequest
        - StatusConflict

````